module GlobalSharedDb
  class LingochampActivity < BaseDb

    belongs_to(:course, primary_key: :course_id, class_name: GlobalSharedDb::LingochampCourse.to_s, required: false)
    belongs_to(:unit, primary_key: :unit_id, class_name: GlobalSharedDb::LingochampUnit.to_s, required: false)
    belongs_to(:lesson, primary_key: :lesson_id, class_name: GlobalSharedDb::LingochampLesson.to_s, required: false)

    data_fields :video, :background_audio
    attachment_fields :video, :background_audio

    validates :course_id, presence: true
    validates :unit_id, presence: true
    validates :lesson_id, presence: true
    validates :activity_id, presence: true
  end
end